GDB (xrefs)

Classes | Namespaces | Functions
pretty_printers.py File Reference

Go to the source code of this file.

## Classes
class | gdb.command.pretty_printers.InfoPrettyPrinter
class | gdb.command.pretty_printers.EnablePrettyPrinter
class | gdb.command.pretty_printers.DisablePrettyPrinter

## Namespaces
| gdb.command.pretty_printers

## Functions
def | gdb.command.pretty_printers.parse_printer_regexps (arg)
def | gdb.command.pretty_printers.printer_enabled_p (printer)
def | gdb.command.pretty_printers.count_enabled_printers (pretty_printers)
def | gdb.command.pretty_printers.count_all_enabled_printers ()
def | gdb.command.pretty_printers.pluralize (text, n, suffix="s")
def | gdb.command.pretty_printers.show_pretty_printer_enabled_summary ()
def | gdb.command.pretty_printers.do_enable_pretty_printer_1 (pretty_printers, name_re, subname_re, flag)
def | gdb.command.pretty_printers.do_enable_pretty_printer (arg, flag)
def | gdb.command.pretty_printers.register_pretty_printer_commands ()